Name: bonobo-activation
Version: 2.2.1
Release: alt1

Summary: Activation framework for Bonobo component system
Group: System/Libraries
License: LGPL
Url: http://ftp.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %name-%version.tar.bz2
Requires: lib%name = %version-%release

%define ORBit_ver 2.6.0
%define libxml2_ver 2.4.28
%define glib_ver 2.2.1
%define gtk_doc_ver 0.10

BuildPreReq: libxml2-devel >= %libxml2_ver
BuildPreReq: ORBit2-devel >= %ORBit_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: gtk-doc >= %gtk_doc_ver

# Automatically added by buildreq on Thu Feb 06 2003
BuildRequires: ORBit2-devel docbook-utils flex glib2-devel glibc-devel-static gtk-doc indent libIDL liblinc-devel libpopt-devel libssl-devel libxml2-devel pkgconfig zlib-devel

%description
bonobo-activation is a framework for object activation. That is, it
allows programs to obtain references to Bonobo components.
bonobo-activation launches or loads components and makes them available
to clients.

%package -n lib%name
Summary: Shared libraries, header files and utilities for %name
Group: System/Libraries

%description -n lib%name
bonobo-activation is a framework for object activation. That is, it
allows programs to obtain references to Bonobo components.
bonobo-activation launches or loads components and makes them available
to clients.

This package contains the shared libraries required for %name
and components using it to function.

%package devel
Summary: Libraries and headers for bonobo-activation
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: ORBit2-devel >= %ORBit_ver
Requires: libxml2-devel >= %libxml2_ver
Requires: glib2-devel >= %glib_ver
Conflicts: bonobo-devel < 1.0.8

%description devel
bonobo-activation is a framework for object activation. That is, it
allows programs to obtain references to Bonobo components.
bonobo-activation launches or loads components and makes them available
to clients.

This package contains header files used to compile programs that
use bonobo-activation.

%define _gtk_docdir %_datadir/gtk-doc/html
%define _libexecdir %_bindir

%prep
%setup -q

%__subst 's,\${prefix}/lib,/usr/lib,' server/bonobo-activation-server.1
%__subst 's,\${prefix}/etc,/etc,' server/bonobo-activation-server.1

%build
%configure
# SMP-incompatible build
%make

%install
%makeinstall
%__rm -f docs/Makefile*

%find_lang %name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %name.lang
%_bindir/%name-server
%_bindir/activation-client
%_bindir/bonobo-slay
%_sbindir/bonobo-activation-sysconf
%_libdir/bonobo/servers/*
%_datadir/idl/*
%dir %_sysconfdir/%name
%config %_sysconfdir/%name/*
%_man1dir/*
%doc AUTHORS ChangeLog NEWS README TODO

%files -n lib%name
%_libdir/*.so.*

%files devel
%_bindir/%name-empty-server
%_bindir/%name-run-query
%_includedir/*
%_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig/*
%doc docs/*

%changelog
* Thu Feb 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Mon Jan 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Thu Nov 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Sat Oct 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0 (a bad job)

* Sun Sep 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Mon Jun 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Wed May 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.9-alt1
- 0.9.9

* Mon May 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.8-alt1
- Adopted for Sisyphus.

* Fri May 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu May  2 2002 Havoc Pennington <hp@redhat.com>
- 0.9.8

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 0.9.6

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 0.9.3.92 cvs snap

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Rebuild against new packages
- Rebuild for dependencies

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- build system somehow found libglib-1.3.so.11 again, rebuild

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- 0.9.3.91 cvs snap

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- new snap 0.9.3.90, glib 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- new snap, glib 1.3.10 rebuild
- rebuild due to build system screwing up buildreqs

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- cvs snap

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- new tarball 0.9.2

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap
- fix typo
- -devel requires orbit2/libxml2

* Tue Sep 18 2001 Havoc Pennington <hp@redhat.com>
- conflict with old Bonobo

* Mon Sep 17 2001 Havoc Pennington <hp@redhat.com>
- move IDL files to subdir

* Thu Sep 13 2001 Havoc Pennington <hp@redhat.com>
- build requires the devel packages, not the runtimes
- temporarily remove IDL files to see if we can work around parallel install breakage

* Wed Sep 12 2001 Havoc Pennington <hp@redhat.com>
- Initial build.

